Page MenuHomePhabricator

SiteMatrix should use short array syntax and shorter lines
Closed, ResolvedPublic

Description

SiteMatrix is a bit legacy and fails a couple PHP CodeSniffer rules:

Generic.Arrays.DisallowLongArraySyntax.Found
Generic.Files.LineLength.TooLong

Might want to shorten the lines and switch to the Zend short array syntax.

Details

Related Gerrit Patches:
mediawiki/extensions/SiteMatrix : masterMake SiteMatrix fit coding standards
mediawiki/extensions/SiteMatrix : masterMake SiteMatrix fit coding standards (part 3)
mediawiki/extensions/SiteMatrix : masterMake SiteMatrix fit coding standards (part 4)
mediawiki/extensions/SiteMatrix : masterMake SiteMatrix fit coding standards (part 2)
mediawiki/extensions/SiteMatrix : masterAdd composer tests / parallel lint / PHPcs
integration/config : master[SiteMatrix] add composer test

Related Objects

Event Timeline

hashar created this task.Nov 10 2016, 1:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 10 2016, 1:09 PM

Change 320767 had a related patch set uploaded (by Hashar):
Add composer tests / parallel lint / PHPcs

https://gerrit.wikimedia.org/r/320767

Change 320768 had a related patch set uploaded (by Hashar):
[SiteMatrix] add composer test

https://gerrit.wikimedia.org/r/320768

Change 320768 merged by jenkins-bot:
[SiteMatrix] add composer test

https://gerrit.wikimedia.org/r/320768

Change 320767 merged by jenkins-bot:
Add composer tests / parallel lint / PHPcs

https://gerrit.wikimedia.org/r/320767

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptNov 10 2016, 1:17 PM
hashar triaged this task as Low priority.Nov 10 2016, 1:23 PM

phpcs pass just fine now, both rules have severity=0 which skip them.

Change 340734 had a related patch set uploaded (by EddieGP):
[mediawiki/extensions/SiteMatrix] Make SiteMatrix fit coding standards

https://gerrit.wikimedia.org/r/340734

EddieGP claimed this task.Mar 2 2017, 12:54 PM

Change 340734 merged by EddieGP:
[mediawiki/extensions/SiteMatrix] Make SiteMatrix fit coding standards

https://gerrit.wikimedia.org/r/340734

Change 340915 had a related patch set uploaded (by EddieGP):
[mediawiki/extensions/SiteMatrix] Make SiteMatrix fit coding standards (part 2)

https://gerrit.wikimedia.org/r/340915

Change 340915 merged by Krinkle:
[mediawiki/extensions/SiteMatrix] Make SiteMatrix fit coding standards (part 2)

https://gerrit.wikimedia.org/r/340915

Change 340964 had a related patch set uploaded (by eddie):
[mediawiki/extensions/SiteMatrix] Make SiteMatrix fit coding standards (part 3)

https://gerrit.wikimedia.org/r/340964

Change 340965 had a related patch set uploaded (by eddie):
[mediawiki/extensions/SiteMatrix] Make SiteMatrix fit coding standards (part 4)

https://gerrit.wikimedia.org/r/340965

Change 340965 abandoned by Hashar:
Make SiteMatrix fit coding standards (part 4)

Reason:
all code has been merged in https://gerrit.wikimedia.org/r/#/c/340964/ :)

https://gerrit.wikimedia.org/r/340965

hashar closed this task as Resolved.Mar 3 2017, 2:22 PM

Well done :]

Change 340964 merged by jenkins-bot:
[mediawiki/extensions/SiteMatrix] Make SiteMatrix fit coding standards (part 3)

https://gerrit.wikimedia.org/r/340964